Package biotransformer.biomolecule

## Enum StructuralChemicalCategory.SCCategoryName

- java.lang.Object
- - java.lang.Enum<StructuralChemicalCategory.SCCategoryName>
  - - biotransformer.biomolecule.StructuralChemicalCategory.SCCategoryName

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<StructuralChemicalCategory.SCCategoryName>`

Enclosing class:
  StructuralChemicalCategory

    public static enum StructuralChemicalCategory.SCCategoryName
    extends java.lang.Enum<StructuralChemicalCategory.SCCategoryName>

### Enum Constant Summary

Enum Constants
`ALPHA_AMINO_ACID`
`C23_BILE_ACID`
`C24_BILE_ACID`
`FATTY_ACID`
`GLYCEROL_3_PHOSPHATE_INOSITOL`
`GLYCEROLIPID`
`GLYCEROPHOSPHOLIPID`
`PRIMARY_BILE_ACID`
`SECONDARY_BILE_ACID`
`SPHINGOLIPID`
`UNSATURATED_FATTY_ACID`

### Method Summary

All Methods Static Methods Concrete Methods
`static StructuralChemicalCategory.SCCategoryName` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StructuralChemicalCategory.SCCategoryName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FATTY_ACID

    public static final StructuralChemicalCategory.SCCategoryName FATTY_ACID

#### UNSATURATED_FATTY_ACID

    public static final StructuralChemicalCategory.SCCategoryName UNSATURATED_FATTY_ACID

#### GLYCEROPHOSPHOLIPID

    public static final StructuralChemicalCategory.SCCategoryName GLYCEROPHOSPHOLIPID

#### GLYCEROLIPID

    public static final StructuralChemicalCategory.SCCategoryName GLYCEROLIPID

#### SPHINGOLIPID

    public static final StructuralChemicalCategory.SCCategoryName SPHINGOLIPID

#### PRIMARY_BILE_ACID

    public static final StructuralChemicalCategory.SCCategoryName PRIMARY_BILE_ACID

#### SECONDARY_BILE_ACID

    public static final StructuralChemicalCategory.SCCategoryName SECONDARY_BILE_ACID

#### ALPHA_AMINO_ACID

    public static final StructuralChemicalCategory.SCCategoryName ALPHA_AMINO_ACID

#### GLYCEROL_3_PHOSPHATE_INOSITOL

    public static final StructuralChemicalCategory.SCCategoryName GLYCEROL_3_PHOSPHATE_INOSITOL

#### C23_BILE_ACID

    public static final StructuralChemicalCategory.SCCategoryName C23_BILE_ACID

#### C24_BILE_ACID

    public static final StructuralChemicalCategory.SCCategoryName C24_BILE_ACID

### Method Detail

#### values

    public static StructuralChemicalCategory.SCCategoryName[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StructuralChemicalCategory.SCCategoryName c : StructuralChemicalCategory.SCCategoryName.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StructuralChemicalCategory.SCCategoryName valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null